import { __ } from '@wordpress/i18n';
import {
	PanelBody,
	SelectControl,
	TextControl,
	ToggleControl,
	RangeControl,
	ColorPalette,
	__experimentalNumberControl as NumberControl 
} from '@wordpress/components';

export default function Settings(props) {
	const {attributes, setAttributes} = props
	const {shapeType,enableText, percentile, shapeAnimation, animationDuration} = attributes

	return(
		<>
			<PanelBody title={__('Shape', 'juno' )}	>
				<SelectControl
				onChange={ ( val ) => setAttributes( {shapeType: val} ) }
				value={ shapeType }
				options={[
					{
					label: __('Line', 'juno'),
					value: 'line'
					},
					{
					label: __('Circle', 'juno'),
					value: 'circle'
					},
					{
					label: __('Semi Circle', 'juno'),
					value: 'semi-circle'
					},
					{
					label: __('Square', 'juno'),
					value: 'square'
					}
				]}
				/>
			</PanelBody>
			<PanelBody title={__('Content', 'juno' )} initialOpen={false}>
				<NumberControl
					label={__('Percentile(%)', 'juno')}
					onChange={ (val) => setAttributes({percentile: parseInt(val)})}
					value={ percentile }
				/>
				<ToggleControl
					label={__('Enable Inside Text', 'juno')}
					help={__('Text will be showin inside the progress bar.', 'juno')}
					checked={ enableText }
					onChange={ (val) => setAttributes({enableText: val})}
				/>
			</PanelBody>
			<PanelBody title={__('Animation', 'juno' )} initialOpen={false}>
              <SelectControl
				onChange={ ( val ) => setAttributes( {shapeAnimation: val} ) }
				value={ shapeAnimation }
				options={[
					{
					label: __('Linear', 'juno'),
					value: 'linear'
					},
					{
					label: __('Bounce', 'juno'),
					value: 'bounce'
					},
				]}
			/>
			<NumberControl
				label={__('Duration (milliseconds)', 'juno')}
				onChange={ (val) => setAttributes({animationDuration: parseInt(val)})}
				value={ animationDuration }
			/>
            </PanelBody>
		</>
	)
}