import { createShape } from './progressbar';

/**
 * Use this file for JavaScript code that you want to run in the front-end
 * on posts/pages that contain this block.
 *
 * When this file is defined as the value of the `viewScript` property
 * in `block.json` it will be enqueued on the front end of the site.
 * 
 * If you're not making any changes to this file because your project doesn't need any
 * JavaScript running in the front-end, then you should delete this file and remove
 * the `viewScript` property from `block.json`.
 *
 * @see https://developer.wordpress.org/block-editor/reference-guides/block-api/block-metadata/#view-script
 */

const junoContainerEls = document.getElementsByClassName('juno-container');

Array.from(junoContainerEls).map(junoContainerEl => {
    const attributes = {
        shapeType: junoContainerEl.getAttribute('data-shape-type'),
        enableText: junoContainerEl.getAttribute('data-enable-text'),
        percentile: junoContainerEl.getAttribute('data-percentile'),
        shapeAnimation: junoContainerEl.getAttribute('data-shape-animation'),
        animationDuration: junoContainerEl.getAttribute('data-animation-duration'),
        size: junoContainerEl.getAttribute('data-size'),
        textColor: junoContainerEl.getAttribute('data-text-color'),
        fillColor: junoContainerEl.getAttribute('data-fill-color'),
        strokeColor: junoContainerEl.getAttribute('data-stroke-color'),
        strokeWidth: junoContainerEl.getAttribute('data-stroke-width'),
        trailColor: junoContainerEl.getAttribute('data-trail-color'),
        trailWidth: junoContainerEl.getAttribute('data-trail-width')
    };


    // Do something with each element
    const progressBar = createShape(junoContainerEl, attributes);
});
